Api referencev1/sandbox/run-with-sdk
Run code in the sandbox with the viralquery SDK pre-injected and auto-authed
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
code*string
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/sandbox/run-with-sdk" \ -H "Content-Type: application/json" \ -d '{ "code": "string" }'{
"stdout": "string",
"stderr": "string",
"exitCode": 0
}{
"error": "invalid_request",
"message": "string",
"issues": [
{
"path": "string",
"message": "string"
}
]
}{
"error": "unauthorized",
"message": "string",
"signupUrl": "string"
}{
"error": "payment_required",
"message": "string",
"required": 0,
"balance": 0,
"shortfall": 0,
"topupUrl": "string",
"type": "string",
"title": "string",
"status": 0,
"detail": "string"
}{
"error": "forbidden",
"message": "string",
"requiredScope": "string",
"grantedScopes": [
"string"
]
}{
"error": "upstream_error",
"message": "string",
"retryable": true
}{
"error": "rate_limited",
"message": "string",
"retryAfter": 0
}{
"error": "upstream_error",
"message": "string",
"retryable": true
}{
"error": "upstream_error",
"message": "string",
"retryable": true
}